# Hetero_Ct C++ Installation Guide

Hetero_ct uses "scons", a python based build tool that is functionally similar to cmake.

## Cantera installation

To install hetero_ct, first install Cantera from source.

The following command is used to compile Cantera on linux machine.

```
scons build python_package=full f90_interface=y doxygen_docs=yes system_eigen=y system_sundials=y sundials_libdir=/usr/lib64 python_cmd=~/anaconda3/envs/<env_name>/bin/python python_prefix=~/anaconda3/envs/<env_name>/lib/python3.7/site-packages extra_inc_dirs="/usr/include/eigen3"
```

 Few points on the above Cantera compilation command
1. System supplied sundials and eigen3 software packages are preinstalled. Sundials is installed in /usr/lib64 folder, and eigen3 is installed at /usr/include/eigen3. Note that Eigen3 is a header only package. 
2. Use python_cmd and python_prefix to specify the python command and the python library paths. In the above command, instead of system python, anaconda python is used. <env_name> represents the virtual environment name and python3.7 is the version of python used. 


## Hetero_ct installation
1. Go to src folder and edit SConstruct file to specify the dependencies.
    * Edit CPPPATH variable to specify the location of eigen3 headers as well as cantera headers.
    * Edit LIBPATH variable to specify the location of sundials and cantera libraries.
    * Adjust the CCFLAGS and LINKFLAGS variables to make sure the compiler and linker options are
consistent with those generated by scons during Cantera building stage.

2. Run ```scons```  
