---
layout: default
---

# Running OpenMKM
When OpenMKM is installed and compiled by following the [instructions](install),
the *omkm* executable is generated. On Linux add the *omkm* executable directory to the
system path if it is not in the system path.  On Windows, click on *StartMenu->OpenMKM->"OpenMKM CmdLine"* 
to open a new command line prompt with OpenMKM installation folder added to the system path. 
The *omkm* executable requires two input files, which are
specified as arguments in the command line. The first argument is the name of
yaml file specifying the reactor model parameters, and the second argument
is the name of Cantera XML input file, which provides the definitions of
species, reactions, interactions. Instructions on how to write or generate your
own input files can be found on [Input section](input). For the purpose of this
tutorial, you can grab these files from any of the simulations folders in the 
[\<OpenMKM\_ROOT\>/examples/model_simul folder][examples]. Once the two files are in the
simulation folder, run the simulation with the following command:

~~~ bash
omkm <rctr.yaml> <input.xml>
~~~

After execution, OpenMKM produces numerous output files listing various
quantities of interest, such as mole fractions, surface coverages either as a
function of time for batch and CSTR's or as a function of distance from inlet
for PFR. Details about the output files generated by OpenMKM and their
information is given in [Output section](output) in the navigation panel.


[examples]: https://github.com/VlachosGroup/openmkm/tree/master/examples/model_simul
